Subject: Re: arm64 system corruption on linux-next?

From: John Garry <[email-masked]>
Date: Wed, 11 Mar 2020 17:29:17 +0000

On 11/03/2020 15:04, Robin Murphy wrote:
> Hi John,
> 
> On 10/03/2020 6:38 pm, John Garry wrote:
>> Hi all,
>>
>> On my arm64 Huawei D06 dev board, I see this on sometimes on 
>> linux-next 20200310 just as the boot completes:
>>
>> [   48.452674] pcieport 0000:b4:01.0: Adding to iommu group 40
>> [   48.473426] rtc-efi rtc-efi.0: setting system clock to 
>> 2020-03-10T18:31:29 UTC (1583865089)
>> [   48.473426] rtc-efi rtc-efi.0: setting system clock to 
>> 2020-03-10T18:31:29 UTC (1583865089)
>> [   48.486755] hid-generic 0003:12D1:0003.0001: input: USB HID v1.10 
>> Keyboard [Keyboard/Mouse KVM 1.1.0] on usb-0000:7a:01.0-1.1/input0
>> [   48.486755] hid-generic 0003:12D1:0003.0001: input: USB HID v1.10 
>> Keyboard [Keyboard/Mouse KVM 1.1.0] on usb-0000:7a:01.0-1.1/input0
>> [   48.491033] ALSA device list:
>> [   48A device list:
>> [   48.522304]   No soundcards found.
>> [   48.522304]   No soundcards found.
>> [   48.526319] input: Keyboard/Mouse KVM 1.1.0 as 
>> /devices/pci0000:7a/0000:7a:01.0/usb1/1-1/1-1.1/1-1.1:1.1/0003:12D1:0003.0002/input/input2 
>>
>> [   48.526319] input: Keyboard/Mouse KVM 1.1.0 as 
>> /devices/pci0000:7a/0000:7a:01.0/usb1/1-1/1-1.1/1-1.1:1.1/0003:12D1:0003.0002/input/input2 
>>
>> [|Uz
>> ���p X4n0Jj ЬH,p~wv�^;�~Tt�k�v��"��±�
>>                                        �rZ�,� � ��Hk��
>>                                                        v7�C (���� 
>> չ�E^�- z
>>                                                                           
>> �
>> ±�  � ��� �\ ���p X4n0Jj p�H,p~wv�^;+~Tt�k�v� "�
>> w�b���P�k�h�P��.�p���N�P P�X��9� 0� �k�h�P�i.�p���N��&�����.¬�jP�V�v 
>> t�Y��*�v���� �F9�
>>
>>
>> The system is still alive, as keypresses respond with garbage.
> 

Hi Robin,

> FWIW, that looks every bit like something changing the UART baud rate 
> under the console's feet, either explicitly, or implicitly by messing 
> with the input clock behind the driver's back.

Maybe, but I didn't think that the kernel would know about the UART 
clock for ACPI-based FW.

Anyway, today's linux-next does not seem to have the issue from my 
limited testing. I'll keep an eye out.

Cheers,
John

> 
> Robin.
> 
>>
>> Full dmesg:
>> https://pastebin.com/C2Xy0yUW
>>
>>
>> v5.6-rc4 is ok from my attempts.
>>
>> Anyone else see such an issue?
>>
>> Thanks,
>> John
>>
>> _______________________________________________
>> linux-arm-kernel mailing list
>> [email-masked]
>> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
> .